use anyhow::Result;
use clap::Clap;

mod cli;
mod create;
mod info;
mod unlink;

use cli::{Command, Opts};

fn main() -> Result<()> {
    let opts: Opts = Opts::parse();

    match opts.command {
        Command::Create(c) => c.run(opts.verbose)?,
        Command::Info(i) => i.run()?,
        Command::Unlink(u) => u.run(opts.verbose)?,
    }

    Ok(())
}
